#!/bin/bash
set -x

TOKEN=$(< token.txt)
EDITOR=nano git commit -a

COMMIT=$(git log | head -n 1 | cut -d' ' -f2)
echo $COMMIT
export PATH=$PATH:"C:\Program Files\7-Zip"
DATE=$(date +%s)
7z a -r release-$COMMIT.zip ./build/exe.win-amd64-3.10/*

DATA='{
  "body": "Autogenerated release",
  "draft": false,
  "name": "Development release",
  "prerelease": true,
  "tag_name": "'$DATE'",
  "target_commitish": "'$COMMIT'"
}'
OUT=$(curl -X 'POST' \
  'https://git.deck.sh/api/v1/repos/Interfaz/ff/releases?token='$TOKEN'' \
  -H 'accept: application/json' \
  -H 'Content-Type: application/json' \
  -d "$DATA")

ID=$(echo $OUT | cut -d',' -f 1 | cut -d':' -f 2)

OUT=$(curl -X 'POST' \
  'https://git.deck.sh/api/v1/repos/Interfaz/ff/releases/'$ID'/assets?token='$TOKEN'' \
  -H 'accept: application/json' \
  -H 'Content-Type: multipart/form-data' \
  -F 'attachment=@'release-$COMMIT.zip';type=application/x-zip-compressed')

URL=$(echo $OUT | cut -d',' -f 6 | cut -d\" -f4)
echo $URL
rm release-$COMMIT.zip